% Include file - Fløjte spor 1, SATB kor spor 1-4

\version "2.14.2"

\language "deutsch"


% Lyrics are assigned to 5 different voices: "M", "S", "A", "T" and "B":
% "verseOneM", "verseTwoM", "verseThreeM", "verseFourM" -> "verseOneS" ... "verseFourB"
% Track names with no transposition are "trackOne", "trackTwo" etc."
% Track names with C to Bb transposition are "trBOne", "trBTwo" etc.
% Track names with C to Eb transposition are "trEsOne", "trEsTwo" etc.
% Track names with C to F transposition are "trFOne", "trFTwo" etc.


% Vocal Modules

vocalDescantPart =
   \new Staff \with {
     instrumentName = "Descant" 
     midiInstrument = "choir aahs" }
  { \clef G \trackOne }
   \addlyrics {\verseOneS }
   \addlyrics {\verseTwoS }
   \addlyrics {\verseThreeS }
   \addlyrics {\verseFourS }

vocalSoloPart =
   \new Staff \with {
     instrumentName = "Solo" 
     midiInstrument = "choir aahs" }
  { \clef G \trackOne }
   \addlyrics {\verseOneA }
   \addlyrics {\verseTwoA }
   \addlyrics {\verseThreeA }
   \addlyrics {\verseFourA }

vocalPartSoprano =
   \new Staff \with {
     instrumentName = "Soprano" 
     midiInstrument = "choir aahs" }
  { \clef G \trackOne }
   \addlyrics {\verseOneS }
   \addlyrics {\verseTwoS }
   \addlyrics {\verseThreeS }
   \addlyrics {\verseFourS }

vocalPartAlto = 
   \new Staff \with {
     instrumentName = "Alto" 
     midiInstrument = "choir aahs" }
  { \clef G \trackTwo }
   \addlyrics {\verseOneA }
   \addlyrics {\verseTwoA }
   \addlyrics {\verseThreeA }
   \addlyrics {\verseFourA }

vocalPartTenor = 
   \new Staff \with {
     instrumentName = "Tenor" 
     midiInstrument = "choir aahs" }
  { \clef "G_8" \trackThree }
   \addlyrics {\verseOneT }
   \addlyrics {\verseTwoT }
   \addlyrics {\verseThreeT }
   \addlyrics {\verseFourT }

vocalPartBass = 
   \new Staff \with {
     instrumentName = "Bass" 
     midiInstrument = "choir aahs" }
  { \clef F \trackFour }
   \addlyrics {\verseOneB }
   \addlyrics {\verseTwoB }
   \addlyrics {\verseThreeB }
   \addlyrics {\verseFourB }

vocalSATBGroup =  \new ChoirStaff << 
    \vocalPartSoprano
    \vocalPartAlto
    \vocalPartTenor
    \vocalPartBass
 >>

vocalSABGroup =  \new ChoirStaff << 
    \vocalPartSoprano
    \vocalPartAlto
    \vocalPartBass
 >>

choirPart =  \new ChoirStaff << 
    \new Staff \with {
     midiInstrument = "choir aahs"
     instrumentName = \markup \center-column { "Soprano" "Alto" } }    << 
    \clef G
    \new Voice = "soprano" { \voiceOne \trackOne }
    \new Voice = "alto" { \voiceTwo \trackTwo }
    >> 
    \new Lyrics \with {
      \override VerticalAxisGroup #'staff-affinity = #CENTER }
      \lyricsto "soprano" \verseOneM
    \new Lyrics \with {
      \override VerticalAxisGroup #'staff-affinity = #CENTER }
      \lyricsto "soprano" \verseTwoM
    \new Lyrics \with {
      \override VerticalAxisGroup #'staff-affinity = #CENTER }
      \lyricsto "soprano" \verseThreeM
    \new Lyrics \with {
      \override VerticalAxisGroup #'staff-affinity = #CENTER }
      \lyricsto "soprano" \verseFourM
    \new Staff \with {
     midiInstrument = "choir aahs"
     instrumentName = \markup \center-column { "Tenor" "Bass" } }
    << 
    \clef F
    \new Voice = "tenor" { \voiceOne \trackThree }
    \new Voice = "bass" { \voiceTwo \trackFour }
    >> 
 >>

polyphonic_choirPart =  \new ChoirStaff
<<
    \new Staff = "up" \with {
     midiInstrument = "choir aahs"
     instrumentName = \markup \center-column { "Soprano" "Alto" } }    << 
    \clef G
    \new Voice = "soprano" { \voiceOne \trackOne }
    \new Voice = "alto" { \voiceTwo \trackTwo }
    >> 
    \new Lyrics \with {
    alignAboveContext = "up"
    \override VerticalAxisGroup #'staff-affinity = #UP }
    \lyricsto "soprano" \verseOneS
    \new Lyrics \with {
    \override VerticalAxisGroup #'staff-affinity = #UP }
    \lyricsto "alto" \verseTwoA

    \new Staff = "down" \with {
     midiInstrument = "choir aahs"
     instrumentName = \markup \center-column { "Tenor" "Bass" } }
    << 
    \clef F
    \new Voice = "tenor" { \voiceOne \trackThree }
    \new Voice = "bass" { \voiceTwo \trackFour }
    >> 
    \new Lyrics \with {
     alignAboveContext = "down" 
     \override VerticalAxisGroup #'staff-affinity = #DOWN }
     \lyricsto "tenor" \verseThreeT

     \new Lyrics \with {
     alignBelowContext = "down"
     \override VerticalAxisGroup #'staff-affinity = #DOWN }
     \lyricsto "bass" \verseFourB
>>

polyphonic_vocalPart = <<
   \new Staff \with {
     instrumentName = "Soprano" 
     midiInstrument = "choir aahs" }
  { \clef G \trackOne }
   \addlyrics {\verseOneS }

   \new Staff \with {
     instrumentName = "Alto" 
     midiInstrument = "choir aahs" }
  { \clef G \trackTwo }
   \addlyrics {\verseTwoA }

   \new Staff \with {
     instrumentName = "Tenor" 
     midiInstrument = "choir aahs" }
  { \clef "treble_8" \trackThree }
   \addlyrics {\verseThreeT }

  \new Staff \with {
     instrumentName = "Bass" 
     midiInstrument = "choir aahs" }
  { \clef F \trackFour }
   \addlyrics {\verseFourB }
>>

% Keyboard Modules

pianoFourVoicesPart =  \new PianoStaff \with {
     instrumentName = "Piano" }
  <<
  \new Staff = "up" \with {
     midiInstrument = "acoustic grand" }
  { \clef G << \trackOne \\ \trackTwo >>}
  \new Staff = "down" \with {
     midiInstrument = "acoustic grand" }
  { \clef F << \trackThree \\ \trackFour >> }
  >>

pianoTwoVoicesPart =  \new PianoStaff \with {
     instrumentName = "Piano" }
  <<
  \new Staff = "up" \with {
     midiInstrument = "acoustic grand" }
  { \clef G \trackOne }
  \new Staff = "down" \with {
     midiInstrument = "acoustic grand" }
  { \clef F \trackTwo }
  >>

organPart =  \new PianoStaff \with {
     instrumentName = "Organ" }
  <<
  \new Staff = "right" \with {
     midiInstrument = "church organ" }
  { \clef G << \trackOne \\ \trackTwo >>}
  \new Staff = "left" \with {
     midiInstrument = "church organ" }
  { \clef F << \trackThree \\ \trackFour >> }
  \new Staff = "pedal" \with {
     midiInstrument = "church organ" }
  { \clef F \trackFour }
  >>



% Strings Modules

violinPartOne =
   \new Staff \with {
     instrumentName = "Violin" 
     midiInstrument = "violin" }
  { \clef G \trackOne }

violinPartTwo =
   \new Staff \with {
     instrumentName = "Violin" 
     midiInstrument = "violin" }
  { \clef G \trackTwo }

violaPart =
   \new Staff \with {
     instrumentName = "Viola" 
     midiInstrument = "viola" }
  { \clef alto \trackThree }

celloPartOne =
   \new Staff \with {
     instrumentName = "Cello" 
     midiInstrument = "cello" }
  { \clef F \trackThree }

celloPartTwo =
   \new Staff \with {
     instrumentName = "Cello" 
     midiInstrument = "cello" }
  { \clef F \trackFour }

contraBassPart =
   \new Staff \with {
     instrumentName = "Contrabass" 
     midiInstrument = "contrabass" }
  { \clef F \trackFour }

stringsPartOne =  \new ChoirStaff << 
    \violinPartOne
    \violinPartTwo
    \violaPart
    \celloPartTwo
 >>

stringsPartTwo =  \new ChoirStaff << 
    \violinPartOne
    \violaPart
    \celloPartOne
    \contraBassPart
 >>

classicalGuitarPart =
   \new Staff \with {
     instrumentName = "Classical guitar" 
     midiInstrument = "acoustic guitar (nylon)" }
  { \clef G \trackOne }



% Woodwind Modules

flutePart =
   \new Staff \with {
     instrumentName = "Flute" 
     midiInstrument = "flute" }
  { \clef G \trackOne }

oboePart =
   \new Staff \with {
     instrumentName = "Oboe" 
     midiInstrument = "oboe" }
  { \clef G \trackOne }

clarinetPart =
   \new Staff \with {
     instrumentName = "Clarinet in B" 
     midiInstrument = "clarinet" }
  { \clef G \trBOne }

altoSaxPart =
   \new Staff \with {
     instrumentName = "Alto Sax" 
     midiInstrument = "alto sax" }
  { \clef G \trEsOne }

tenorSaxPart =
   \new Staff \with {
     instrumentName = "Tenor Sax" 
     midiInstrument = "tenor sax" }
  { \clef G \trBOne }



% Brass Modules

trumpetBbPart =
   \new Staff \with {
     instrumentName = "Trumpet in Bb" 
     midiInstrument = "trumpet" }
  { \clef G \trBOne }

trumpetCPart =
   \new Staff \with {
     instrumentName = "Trumpet in C" 
     midiInstrument = "trumpet" }
  { \clef G \trackOne }

trombonePart =
   \new Staff \with {
     instrumentName = "Trombone" 
     midiInstrument = "trombone" }
  { \clef "F^8" \trackTwo }

hornFPart =
   \new Staff \with {
     instrumentName = "Horn in F" 
     midiInstrument = "french horn" }
  { \clef "G_8" \trFThree }

tubaPart =
   \new Staff \with {
     instrumentName = "Tuba" 
     midiInstrument = "tuba" }
  { \clef "G_8" \trackFour }

%========================================

customScoreOne = {
<<
%  \stringsPartOne
%  \stringsPartTwo
%  \flutePart
%  \oboePart
%  \clarinetPart
%  \altoSaxPart
%  \tenorSaxPart
%  \trumpetCPart
%  \trumpetBbPart
%  \trombonePart
%  \hornFPart
%  \tubaPart
%  \vocalDescantPart
%  \vocalSoloPart
%  \vocalPartSoprano
%  \vocalPartAlto
%  \vocalPartTenor
%  \vocalPartBass
%  \vocalSATBGroup
%  \vocalSABGroup
%  \choirPart
   \polyphonic_choirPart
%  \polyphonic_vocalPart
%  \pianoFourVoicesPart
%  \pianoTwoVoicesPart
%  \organPart
%  \contraBassPart
>>
}

customScoreTwo = {
<<
%  \stringsPartOne
%  \stringsPartTwo
%  \flutePart
%  \oboePart
%  \clarinetPart
%  \altoSaxPart
%  \tenorSaxPart
%  \trumpetCPart
%  \trumpetBbPart
%  \trombonePart
%  \hornFPart
%  \tubaPart
%  \vocalDescantPart
%  \vocalSoloPart
%  \vocalPartSoprano
%  \vocalPartAlto
%  \vocalPartTenor
%  \vocalPartBass
%  \vocalSATBGroup
%  \vocalSABGroup
%  \choirPart
%   \polyphonic_choirPart
   \polyphonic_vocalPart
%  \pianoFourVoicesPart
%  \pianoTwoVoicesPart
%  \organPart
%  \contraBassPart
>>
}

